
QGIS Application - Bug report #19727

[Print layout] Clicking the link in the message after a successful export no longer opens the folder

2018-08-28 04:23 PM - Harrissou Santanna

Status: Closed

Priority: High

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.3(master) Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 27552

Description

Export a print layout to whatever format (jpg, pdf...)

At the end of the process, you get a message that the file has been successfully exported and the path to the file.

Clicking the link does nothing while it used to, at least in 3.0, open the folder in which the file is stored.

Tested on W10, commit:304033c916.

Associated revisions

Revision a0dceb1d - 2018-09-17 03:39 AM - Nyall Dawson

[layouts] Fix messagebar link with special characters does not open on win

Fixes #19727

History

#1 - 2018-08-28 06:27 PM - Giovanni Manghi

- Priority changed from Normal to High

#2 - 2018-08-31 06:33 AM - Nyall Dawson

- Status changed from Open to Feedback

I can't reproduce. Can you post instructions on how to replicate?

#3 - 2018-09-01 11:29 AM - Harrissou Santanna

No real instructions needed; all is above. It's just about clicking the link in the notification after an export. 

I did reproduce it a numerous time on the same (old) project, regardless the print layout, then tested successfully on another project and going back to the

first project, it works after some trials. 

I can't explain!

Let's keep the report open and if ever i reproduce the issue in upcoming days/week, i'll attach the culprit file and any needed settings information.

#4 - 2018-09-03 12:30 AM - Nyall Dawson

Things to test would be stuff like exporting to paths with spaces/special characters, exporting to local/network paths, etc. There's likely a pattern to find...
#5 - 2018-09-04 05:40 PM - Harrissou Santanna

- Status changed from Feedback to Open

Good suggestion.

I Made some quick tests and it happens that spacing is not a problem but special characters (such as é, è...) are the culprits: clicking the path when such a

character is available does not open the folder. Being on a network or not does not make a difference.

#6 - 2018-09-17 03:39 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|a0dceb1d835a482ad5ad76723ec61d90bb6578f4.
